## golang-github-traefik-paerser 0.2.0

=== Makefile ===
.PHONY: clean lint lint-fix test

export GO111MODULE=on

default: lint test

test:
	go test -v -cover ./...

lint:
	golangci-lint run

lint-fix:
	golangci-lint run --fix

=== debian/changelog ===
golang-github-traefik-paerser (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #991751)

 -- Aloïs Micard <creekorful@debian.org>  Sat, 17 Aug 2024 17:15:57 +0200

=== debian/control ===
Source: golang-github-traefik-paerser
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Aloïs Micard <creekorful@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-masterminds-sprig-dev,
               golang-github-stretchr-testify-dev,
               golang-gopkg-yaml.v3-dev,
               golang-toml-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-traefik-paerser
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-traefik-paerser.git
Homepage: https://github.com/traefik/paerser
XS-Go-Import-Path: github.com/traefik/paerser

Package: golang-github-traefik-paerser-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-masterminds-sprig-dev,
         golang-github-stretchr-testify-dev,
         golang-gopkg-yaml.v3-dev,
         golang-toml-dev,
         ${misc:Depends}
Description: Library to load configuration from various sources
 This library loads configuration from many sources including:
 .
  * CLI flags
  * Configuration files in YAML, TOML, JSON format
  * Environment variables
 .
 It also provides a simple CLI commands handling system.

=== debian/rules ===
#!/usr/bin/make -f

# Include test fixtures
export DH_GOLANG_INSTALL_EXTRA := $(shell find . -name *.toml) \
	                          file/fixtures/sample.json \
				  file/fixtures/sample.yml

%:
	dh $@ --builddirectory=_build --buildsystem=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/traefik/paerser/tags .*/v?(\d\S*)\.tar\.gz debian
